
Robotics Systems Commons - Bug #1143
Compilation Fails Against Boost 1_50
08/17/2012 06:54 PM - S. Wrede

Status: Resolved Start date: 08/17/2012
Priority: Normal Due date:
Assignee: S. Wrede % Done: 100%
Category: Threading Estimated time: 0.00 hour
Target version: rsb-0.7
Description

Environment: MacOS
Build system: Homebrew
Boost version: Updated to 1.50

==> make install
Scanning dependencies of target gmock
[  1%] [  2%] Building CXX object CMakeFiles/gmock.dir/gmock-1.6.0/src/gmock-all.cc.o
Building CXX object CMakeFiles/gmock.dir/gmock-1.6.0/gtest/src/gtest-all.cc.o
Scanning dependencies of target registry
[  3%] Building CXX object test/CMakeFiles/registry.dir/rsc/misc/testRegistry.cpp.o
Scanning dependencies of target rsc
Linking CXX shared library ../build/libregistry.dylib
[  5%] Building CXX object src/CMakeFiles/rsc.dir/rsc/logging/ConsoleLogger.cpp.o
Undefined symbols for architecture x86_64:
  "boost::system::system_category()", referenced from:
      boost::recursive_mutex::recursive_mutex() in testRegistry.cpp.o
      __GLOBAL__I_a in testRegistry.cpp.o
  "boost::system::generic_category()", referenced from:
      __GLOBAL__I_a in testRegistry.cpp.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [build/libregistry.dylib] Error 1
make[1]: *** [test/CMakeFiles/registry.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[  6%] Building CXX object src/CMakeFiles/rsc.dir/rsc/logging/ConsoleLoggingSystem.cpp.o
[  7%] [  8%] Building CXX object src/CMakeFiles/rsc.dir/rsc/logging/Logger.cpp.o
Building CXX object src/CMakeFiles/rsc.dir/rsc/logging/LoggerFactory.cpp.o
[ 10%] Building CXX object src/CMakeFiles/rsc.dir/rsc/logging/LoggerProxy.cpp.o
[ 11%] Building CXX object src/CMakeFiles/rsc.dir/rsc/logging/LoggerTreeNode.cpp.o
[ 12%] Building CXX object src/CMakeFiles/rsc.dir/rsc/logging/LoggingSystem.cpp.o
[ 13%] Building CXX object src/CMakeFiles/rsc.dir/rsc/logging/OptionBasedConfigurator.cpp.o
Linking CXX static library build/libgmock.a
[ 13%] Built target gmock
[ 15%] Building CXX object src/CMakeFiles/rsc.dir/rsc/config/ConfigFileSource.cpp.o
[ 16%] Building CXX object src/CMakeFiles/rsc.dir/rsc/config/ConfigSource.cpp.o
[ 17%] Building CXX object src/CMakeFiles/rsc.dir/rsc/config/Environment.cpp.o
[ 18%] Building CXX object src/CMakeFiles/rsc.dir/rsc/config/OptionHandler.cpp.o
[ 20%] Building CXX object src/CMakeFiles/rsc.dir/rsc/config/PropertyHandler.cpp.o
[ 21%] Building CXX object src/CMakeFiles/rsc.dir/rsc/config/TypedValue.cpp.o
[ 22%] Building CXX object src/CMakeFiles/rsc.dir/rsc/math/MathUtils.cpp.o
[ 23%] Building CXX object src/CMakeFiles/rsc.dir/rsc/math/SequenceMonitor.cpp.o
[ 25%] Building CXX object src/CMakeFiles/rsc.dir/rsc/misc/IllegalStateException.cpp.o
[ 26%] Building CXX object src/CMakeFiles/rsc.dir/rsc/misc/langutils.cpp.o
[ 27%] Building CXX object src/CMakeFiles/rsc.dir/rsc/misc/UnsupportedOperationException.cpp.o
[ 28%] Building CXX object src/CMakeFiles/rsc.dir/rsc/misc/UUID.cpp.o
[ 30%] Building CXX object src/CMakeFiles/rsc.dir/rsc/runtime/ContainerIO.cpp.o
[ 31%] Building CXX object src/CMakeFiles/rsc.dir/rsc/runtime/Demangle.cpp.o
[ 32%] Building CXX object src/CMakeFiles/rsc.dir/rsc/runtime/InvalidMangledName.cpp.o
[ 33%] Building CXX object src/CMakeFiles/rsc.dir/rsc/runtime/NoSuchObject.cpp.o
[ 35%] [ 36%] Building CXX object src/CMakeFiles/rsc.dir/rsc/runtime/Printable.cpp.o
Building CXX object src/CMakeFiles/rsc.dir/rsc/runtime/Properties.cpp.o
[ 37%] Building CXX object src/CMakeFiles/rsc.dir/rsc/runtime/TypeStringTools.cpp.o
[ 38%] Building CXX object src/CMakeFiles/rsc.dir/rsc/patterns/ConstructError.cpp.o
[ 40%] Building CXX object src/CMakeFiles/rsc.dir/rsc/patterns/NoSuchImpl.cpp.o
[ 41%] Building CXX object src/CMakeFiles/rsc.dir/rsc/patterns/NoSuchKey.cpp.o
[ 42%] Building CXX object src/CMakeFiles/rsc.dir/rsc/threading/Future.cpp.o
[ 43%] Building CXX object src/CMakeFiles/rsc.dir/rsc/threading/InterruptedException.cpp.o
[ 45%] Building CXX object src/CMakeFiles/rsc.dir/rsc/threading/OrderedQueueDispatcherPool.cpp.o
[ 46%] Building CXX object src/CMakeFiles/rsc.dir/rsc/threading/PeriodicTask.cpp.o
In file included from /tmp/homebrew-rsc-0.7-ScY2/src/rsc/threading/Future.cpp:27:
/tmp/homebrew-rsc-0.7-ScY2/src/rsc/threading/Future.h:160:39: error: no member named 'TIME_UTC' in namespace 'boost';
did you mean 'TIME_UTC_'?
                xtime_get(&xt, boost::TIME_UTC);
                               ~~~~~~~^~~~~~~~
                                      TIME_UTC_
/usr/local/include/boost/thread/xtime.hpp:23:5: note: 'TIME_UTC_' declared here
    TIME_UTC_=1
    ^
1 error generated.
make[2]: *** [src/CMakeFiles/rsc.dir/rsc/threading/Future.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [src/CMakeFiles/rsc.dir/all] Error 2
make: *** [all] Error 2
CMakeCache.txt was copied to /Users/swrede/Library/Logs/Homebrew
==> Build Environment
HOMEBREW_VERSION: 0.9.2
HEAD: 74a63bed548ff0c922ef19da94eaf528b299d55d
CPU: quad-core 64-bit sandybridge
OS X: 10.7.4-x86_64
Xcode: 4.3.2
CLT: 1.0.0.9000000000.1.1249367152
X11: 2.6.4 in /usr/X11
CC: /usr/bin/clang
CXX: /usr/bin/clang++ => /usr/bin/clang
LD: /usr/bin/clang
CFLAGS: -Os -w -pipe -march=native -Qunused-arguments -mmacosx-version-min=10.7
CXXFLAGS: -Os -w -pipe -march=native -Qunused-arguments -mmacosx-version-min=10.7
CPPFLAGS: -isystem /usr/local/include
LDFLAGS: -L/usr/local/lib
MAKEFLAGS: -j4
MACOSX_DEPLOYMENT_TARGET: 10.7
OBJC: /usr/bin/clang
PATH:
/opt/local/bin:/opt/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin:/usr/texbin:/usr/local/Library/Contributions/cmds

Error: Failed executing: make install (rsc.rb:20)

This link will help resolve the above errors:
    https://github.com/swrede/homebrew-formulas/issues/new
History
#1 - 08/20/2012 07:41 PM - S. Wrede
- Category set to Threading
- Status changed from New to In Progress

This seems to be fixed in commit:9de040d8 already but wasn't backported yet.

#2 - 08/20/2012 08:24 PM - S. Wrede
- Status changed from In Progress to Resolved

Fixed in 0.7 branch.

#3 - 08/21/2012 03:16 AM - J. Moringen
- % Done changed from 0 to 100
